List users

This calls enables you to export all users, or only a subset of them.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Search and list users. This calls enables you to export all users, or only a subset of them. You can restrict results from a given time window. For efficient deep pagination, you must use sort=none, using a large offset is prohibited.

The result is comprised of a data array, and a pagination object containing previous and next, two complete URLs for navigating through the result set. Always use the URLs as is and do not add or remove parameters. When doing efficient deep pagination, only the pagination.next page is available. See Pagination for more help on how to iterate over all results.

You can give only the ids parameter, or ids along with fields, as a mean to efficiently retrieve up to 10000 results in a single call. The limit parameter is simply ignored in such a scenario.
The result data array will contain every object found, with no null for missing objects, in no guaranteed order. Use the id field in each object to find the objects you were looking for.
Note that the total size of a GET request is limited. To come around this limitation, you can wrap your call within a request to POST /v1/batch.

Query Params
fields
array of strings

Comma separated list of fields to return.

fields
int32
Defaults to 0

The number of first results to skip. Ignored when no sorting is provided. For an efficient deep pagination, always start at 0.

int32
Defaults to 50

The number of results to return, or 0 for counting only the results. This number may be adjusted for efficient deep paginations. The actual number of results may be less for the last few pages of an efficient deep pagination.

string

The cursor identifier for fetching the next result page. You should always use the whole URL provided in the pagination.next field of the previous request response. Do not try to reuse this identifier if changing the other parameters, as it is bound to them.

string
Defaults to none

How to sort the results. You can sort on multiple fields. For efficient deep pagination, you should use "none". Eg.: "-creationDate" will give you the most recent users.

string

The minimum creationDate of the users to list.

string

The maximum creationDate of the users to list.

string

The minimum updateDate of the users to list.

string

The maximum updateDate of the users to list.

ids
array of strings

The ids of the users to list. Up to 10000 values. You can use it along with other criteria to further reduce the matching results. You can also use it all alone or with fields, as an efficient way to retrieve all the desired results in a single call, with no pagination.

ids
Response

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json